Subject: Re: [Detnet] Warren Kumari's No Objection on draft-ietf-detnet-architecture-11: (with COMMENT)

From: János Farkas <[email-masked]>
Date: Sat, 2 Mar 2019 22:24:34 +0100

Hi Warren,

Thank you for your review!

Please see in-line:

> Warren Kumari has entered the following ballot position for
> draft-ietf-detnet-architecture-11: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-detnet-architecture/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you, this is a very well written, and easy to follow.
>
> I do have some minor comments and nits.
>
> 1: 3.2.1.2.  Jitter Reduction
> "A core objective of DetNet is to enable the convergence of sensitive 
> non-IP networks onto a common network infrastructure."
> You *do* say this in the introduction, etc, but this sentence is the 
> clearest description - consider moving it up to the top.

Suggest to extend the corresponding sentence in the introduction:

OLD:
    A goal of DetNet is a converged network in all respects.  That is,
    the presence of DetNet flows ...

NEW:
    A goal of DetNet is a converged network in all respects including the
    convergence of sensitive non-IP networks onto a common network
    infrastructure.  The presence of DetNet flows ...

>
> 2: 3.2.2.  Service Protection
>    "Service protection aims to mitigate or eliminate packet loss due 
> to equipment failures, random media and/or memory faults."
> This talks about memory faults, but what about (the common case) of 
> memory corruption? AFAICT, the protocol itself doesn't do anything 
> about this - perhaps it should mention this, and say that strong 
> checksums / integrity is the responsibility of the upper layer 
> protocol? "Extraordinary claims require extraordinary evidence"- Carl 
> Sagan.

Suggest to change the sentence to:
    "Service protection aims to mitigate or eliminate packet loss due to 
equipment failures, including random media and/or memory faults."

This is really about protection against failures.
DetNet is about to meet QoS requirements. Service protection is for 
stringent loss requirements.
As suggested, going beyond is the responsibility of upper layers, hence 
beyond DetNet.

>
> 3: "The DetNet service sub-layer includes the packet replication (PRF),
>    the packet elimination (PEF), and the packet ordering functionality
>    (POF) for use in DetNet edge, relay node, and end system packet
>    processing.  Either of these functions can be enabled in a DetNet
>    edge node, relay node or end system."
> This says "either" about three things.
Suggest to delete "Either of" to get:
"These functions can be enabled in a DetNet ..."

>
> 4: "3.3.2.  Fault Mitigation
>    Robust real-time systems require to reduce the number of possible
>    failures."
> Apologies, I don't have suggested test to fix this, but "require to 
> reduce" reads oddly -- perhaps "require a reduction in"?
Suggest to replace with:
"Robust real-time systems require reducing the number of possible failures."
(suggested the same change in: 
https://mailarchive.ietf.org/arch/msg/detnet/JvPTAFVTJwxjhzZYEF9uCnUTFBA)

Thank you!
Janos